﻿Option Strict On
Option Explicit On

Imports System.IO
Imports System.Drawing
Imports SOCR = PixelManipulationVb.exc.jdbi.vb.Randoms.SOCR

Namespace exc.jdbi.vb.Pixelmanipulation
   Partial Public Class PixelManipulation
      Public Function ToPixelColor(ByVal srcfile As String, ByVal x As Int32, ByVal y As Int32) As Color
         Dim fi = New FileInfo(srcfile)
         If Not fi.Exists Then Throw New FileNotFoundException(NameOf(srcfile))
         Dim bm = ToBitmapFile(srcfile)
         Return bm.GetPixel(x, y)
      End Function

      Public Function ToRngPixelColor(ByVal srcfile As String) As (Color, Point)
         Dim fi = New FileInfo(srcfile)
         If Not fi.Exists Then Throw New FileNotFoundException(NameOf(srcfile))
         Dim bm = ToBitmapFile(srcfile)
         Dim rngxy As Point = Nothing
         rngxy.X = SOCR.Next(0, bm.Width)
         rngxy.Y = SOCR.Next(0, bm.Height)
         Return (bm.GetPixel(rngxy.X, rngxy.Y), rngxy)
      End Function
   End Class
End Namespace

